Alokai

SapccApiGetQuoteRequest

Request parameters for getQuote operation in SapccApi. SapccApiGetQuoteRequest

interface SapccApiGetQuoteRequest {
	readonly baseSiteId: string;
	readonly fields?: string;
	readonly quoteCode: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetQuote
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetQuote
quoteCodeRequiredstringIdentifying code of the quote {string} SapccApiGetQuote
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetQuote

On this page